apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: grafana-0.0.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: grafana
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: grafana
      podspec:
        containers:
          - image: aep/base_jammy
            name: grafana
      provides:
        - exposed: true
          name: grafana
          network: loadbalanced
          servicespec:
            ports:
              - name: grafana-http
                port: 443
                protocol: TCP
                targetPort: 3000
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: grafana-operator
      vendor: asag
      version: 0.0.1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: grafana
  settings:
    - name: environment
      schema:
        default: grafana_prod
  version: 0.0.1
